<?php

/**
 * Template Name: MovieEngine Dashboard
 *
 * The template for displaying user dashboard page
 *
 * This template can be overridden by copying it to yourtheme/movie-engine/dashboard/page-dashboard.php.
 *
 * HOWEVER, on occasion MovieEngine will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @note Please do not delete our CSS classes when you customize, as it may break functionality.
 * @package Movie_Engine
 * @subpackage Movie_Engine/templates/dashboard
 * @version 1.0.0
 * @since 1.0.0
 */

if (! defined("ABSPATH")) {
    exit; // Exit if accessed directly
}

get_header(); ?>

<div id="movie-engine-dashboard-page" class="movie-engine-full-width-layout">
    <?php
    if (!is_user_logged_in()) {
        wp_safe_redirect(wp_login_url(get_permalink()));
        exit;
    }
    while (have_posts()) :
        the_post();
        the_content();
    endwhile;
    ?>
</div>
<?php get_footer(); ?>